using CallCenter.Utility;
using CallCenterApi.DB;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace CallCenter.QuartzService
{
   public   class PushWorkorder : QuartzJob
    {


        public PushWorkorder()
        {
            CronExpression = "0 0/30 * * * ?";
            DoWork += PushApp;
        }

        public void PushApp(object sender, EventArgs e)
        {
            
            try
            {
               // var Dataurl = HttpMethods.HttpPost("http://10.0.38.106:8002/PushMessage/SmsOverTime");
            }
            catch (Exception)
            {

                
            }
            try
            {
                //var Dataurl2 = HttpMethods.HttpPost("http://10.0.38.106:8002/WorkOrder/PushErrorWorkOrder");
                var Dataurl2 = HttpMethods.HttpPost("http://10.0.38.106:8002/App/PushErrorWorkOrder");
            }
            catch (Exception)
            {


            }
        }
    
      
    }
}
